package com.ruoyi.business.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.business.mapper.SChartMapper;
import com.ruoyi.business.domain.SChart;
import com.ruoyi.business.service.ISChartService;
import com.ruoyi.common.core.text.Convert;

/**
 * 轮播图Service业务层处理
 * 
 * @author xiatao
 * @date 2022-01-18
 */
@Service
public class SChartServiceImpl implements ISChartService 
{
    @Autowired
    private SChartMapper sChartMapper;

    /**
     * 查询轮播图
     * 
     * @param chartId 轮播图主键
     * @return 轮播图
     */
    @Override
    public SChart selectSChartByChartId(Integer chartId)
    {
        return sChartMapper.selectSChartByChartId(chartId);
    }

    /**
     * 查询轮播图列表
     * 
     * @param sChart 轮播图
     * @return 轮播图
     */
    @Override
    public List<SChart> selectSChartList(SChart sChart)
    {
        return sChartMapper.selectSChartList(sChart);
    }

    /**
     * 新增轮播图
     * 
     * @param sChart 轮播图
     * @return 结果
     */
    @Override
    public int insertSChart(SChart sChart)
    {
        return sChartMapper.insertSChart(sChart);
    }

    /**
     * 修改轮播图
     * 
     * @param sChart 轮播图
     * @return 结果
     */
    @Override
    public int updateSChart(SChart sChart)
    {
        return sChartMapper.updateSChart(sChart);
    }

    /**
     * 批量删除轮播图
     * 
     * @param chartIds 需要删除的轮播图主键
     * @return 结果
     */
    @Override
    public int deleteSChartByChartIds(String chartIds)
    {
        return sChartMapper.deleteSChartByChartIds(Convert.toStrArray(chartIds));
    }

    /**
     * 删除轮播图信息
     * 
     * @param chartId 轮播图主键
     * @return 结果
     */
    @Override
    public int deleteSChartByChartId(Integer chartId)
    {
        return sChartMapper.deleteSChartByChartId(chartId);
    }
}
